* {
    box-sizing: border-box;
}

html, body {
    padding: 0;
    margin: 0;
    background: #000000;
    color: #EAE1C3;
    }

section {
    display: flex;
    width: 100%;
    height:100vh;
}

/* LETRITAS */

h1 {
    font-family: "Belleza";
    font-size: 40px;
}


h2 {
    font-family: "Roboto Condensed Regular";
    font-size: 50px;
}


h3 {
    font-family: "Lora SemiBold";
    font-size: 32px;
}


a{ 
    font-family: "Lora SemiBold";
    font-size: 20px;
    color: #EAE1C3;
}

p {
    font-family: "Roboto Condensed";
    font-style: italic;
    font-size: 20px;
}

span {
    font-family: "Roboto Condensed";
    font-size: 24px;
}





/* navigation */

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    position: fixed;
    
}

nav article {
    display:flex;
    align-items: baseline;
    gap: 0.2m;
    margin: 0
}



nav h1, nav h2 {
    display: inline;
    margin: 0;
    font-weight:100;
    font-family: "belleza";
    color: #A56B45;
}

nav h1 {
    font-size: 128px;
    text-decoration: none;
}

nav h2 {
    font-size: 64px;
    text-decoration: none;
}

nav ul{
    display: flex; /* hace que el elemento sea flexible para responsive */
    list-style: none;
    align-items:end;
    justify-content: flex-end;
    width: 100%;
    height: 100%;
    margin: 0;
    padding:0;
    margin-top: 2vh;
    background: none;   
}

nav ul li {
    display:flex;
    list-style: none; /* para quitar la viñeta */
    margin-left: 3vh;
}

nav ul li a{
    font-size: 24px;
    color: #A56B45;
    font-family: "Belleza";
    text-decoration:none; /* para quitar la linea de subrayado que aparece por defecto en los enlaces */
}

nav a{
    text-decoration: none;
}


/* ABOUT */

.about article {
    margin-top: 150px; 
    flex-basis: 38.5vw;
    flex-direction: column;
    margin-left: 130px;
}

.description {
    margin-top: 50px;
}

.scroll_inicio {
    margin-top: 100px;
    margin-left: 200px;
    animation: blink 1s linear infinite;
}

@keyframes blink {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}

.a_scroll {
    display: flex;
    margin-top: 150px;
    margin-left: 150px;
    flex-basis: clamp (50px, 23vw,200px);
}



/* MARQUEE */

.marquee_trece {

    margin-top: 420px;
    width: 100%;
    height: 300px;
    overflow: hidden;
    background: #CE9591;  
}

.marquee_trece_list {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
    animation: scroll-left 20s linear infinite;
    gap: 2rem;
    height: 300px;
    align-items: center;
    font-size: 20px; 
}

.marquee__trece_list li{
    display: block;
    flex-shrink: 0;
    white-space: nowrap; 
    font-family: "Lora";
}



@keyframes scroll-left {
    0% {transform: translateX(0);}
    100% {transform: translateX(-50%);}
}

.marquee_trece:hover .marquee_trece_list {
    animation-play-state: paused;
}



/* DISEÑO GRÁFICO */

.marcodg {
    margin-top: 90px;
    margin-left: 130px;
    
}

.textosdg {
    display: flex;
    margin-top: 300px;
    margin-right: 130px;
}

.scroll_dg {
    margin-top: 130px;
    margin-left: 300px;
    animation: blink 1s linear infinite;
}

@keyframes blink {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}


.diseñografico {
    background: #CE9591;
    color: #561922;
}

/* PROYECTOS DISEÑO GRÁFICO*/



#proyectosdg {
    background: #CE9591;
    color: #561922; 
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.div-vacio {
    width: 100%;
    background: #CE9591;
}

.listadg {
    margin-top: 340px;
    margin-left: 500px;
    margin-right: 130px;
}


/* MI GALERÍA */

.textosgaleria {
    display: flex;
    margin-top: 300px;
    margin-left: 130px;
}

.marcogaleria {
    margin-top: 90px;
    margin-right: 130px;
}

#migaleria {
    background: #EAE1C3;
    color: #A56B45;
}

#carrusel {
    background: #EAE1C3;
    color: #A56B45;
    display: flex;
}

.elementoscarrusel {
    margin-top: 100px;
    margin-left: 350px;
}


/* CONTACTO */ 

.biofinal {
    margin-top: 200px;
    margin-left: 260px;
    margin-right: 130px;
}

.datoscontacto {
    margin-top: 100px;
    margin-left: 130px;
}

.piepag {
    display: flex;
}

.copyright {
    margin-top: 50px;
    margin-left: 130px;
}

.rrss ul {
    display: flex;
    margin-left: 800px;
    gap: 13px;
}

.rrss ul li{
    list-style: none;
    display: flex;
}



